LPTCONTROL(8)

NAME
lptcontrol - a utility for manipulating the lpt printer driver

SYNOPSIS
lptcontrol -e | -i | -p | -s [-d control_device]

DESCRIPTION
The lptcontrol utility is used to set either the interrupt-driven, extended, standard, or polling mode of individual lpt(4) devices. When a printer is switched from a mode to another, this change will only take effect the next time the device is opened.

Extended mode is anything the parallel port interface can support. For an ECP/ISA parallel port, it may be FIFO+DMA or ECP.

The following command line options are supported:

-e  Turn on extended mode.

-i  Turn on interrupt-driven mode.

-p  Turn on polled mode.

-s  Turn on standard mode, i.e., turn off extended mode.

-d control_device
    Set the mode of the printer control device specified by control_device. The default value for control_device is /dev/lpt0.ctl.

One of -e, -i, -p or -s must be specified.

FILES
/dev/lpt?
    printer devices
/dev/lpt?.ctl
    printer control devices
/sys/i386/conf/GENERIC
    kernel configuration file
/boot/device.hints
    device hints for the parallel port chipset driver, ppc(4)

SEE ALSO
lpt(4), ppc(4), device.hints(5)

HISTORY
The lptcontrol utility first appeared in FreeBSD 1.1.5

AUTHORS
Geoffrey M. Rehmet

BUGS
The control device name should never have been an option, but should have been an optional argument. Because of this, a single argument is treated as a device name.